[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.DoMouseWheelDown

Performs actions when a mouse wheel down event occurs for the control.

## Declaration

Source position: comctrls.pp line 1977

`protected function TCustomUpDown.DoMouseWheelDown(`
`Shift: TShiftState;`
`MousePos: TPoint`
`):Boolean; override;`

## Arguments

`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse wheel event.
`MousePos` |  | Coordinates for the mouse pointer when the wheel event was received.

## Function result

Returns True if the mouse wheel event was handled by an OnMouseWheel event handler in the ancestor class.

## Description

DoMouseWheelDown is an overridden method in TCustomUpDown. It calls the inherited method on entry to signal an assigned OnMouseWheelDown event handler for the control. If the mouse wheel event was not handled in the ancestor class, and a handle for the widget has not been assigned, the Click method for the decrement speed button is called to apply the mouse wheel event to the control.

## See also

TControl.DoMouseWheelDown |  | Signals the OnMouseWheelDown handler.
TControl.DoMouseWheel |  | Signals the OnMouseWheel handlers, when the mouse wheel has been turned.